Freeciv-3.2: generate_packets.CmParameterType Class Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Public Member Functions
generate_packets.CmParameterType Class Reference
Inheritance diagram for generate_packets.CmParameterType:

## Public Member Functions

| __init__ (self, str dataio_type, str public_type)
str | get_code_cmp (self, Location location)
Public Member Functions inherited from generate_packets.StructType
str | get_code_handle_param (self, Location location)
str | get_code_handle_arg (self, Location location)
str | get_code_put (self, Location location, bool deep_diff=False)
Public Member Functions inherited from generate_packets.BasicType
str | get_code_declaration (self, Location location)
str | get_code_fill (self, Location location)
str | get_code_hash (self, Location location)
str | get_code_get (self, Location location, bool deep_diff=False)
str | __str__ (self)
Public Member Functions inherited from generate_packets.FieldType
"FieldType" | array (self, SizeInfo size)
Public Member Functions inherited from generate_packets.RawFieldType
str | __repr__ (self)

## Additional Inherited Members

Data Fields inherited from generate_packets.BasicType
| dataio_type
| public_type
Static Public Attributes inherited from generate_packets.StructType
| TYPE_PATTERN = re.compile(r"^struct \w+$")
Static Public Attributes inherited from generate_packets.FieldType
bool | foldable = False

## Detailed Description

    Type information for a worklist field

Definition at line 968 of file generate_packets.py.

## Constructor & Destructor Documentation

## ◆ __init__()

generate_packets.CmParameterType.__init__ | ( |  | self,
|  | str | dataio_type,
|  | str | public_type
| ) |  |

Reimplemented from generate_packets.StructType.

Definition at line 971 of file generate_packets.py.

## Member Function Documentation

## ◆ get_code_cmp()

str generate_packets.CmParameterType.get_code_cmp | ( |  | self,
|  | Location | location
| ) |  |

    Generate a code snippet comparing a field of this type between
    the `old` and `real_packet` and setting `differ` accordingly.

Reimplemented from generate_packets.StructType.

Definition at line 980 of file generate_packets.py.